// -*- c++ -*-
//
// ChannelArchiver LibIO 101
//

#include<BinArchive.h>
#include<stdio.h>

int main (int argc, char *argv[])
{
    // Setup archive, channel and value iterators
    // for the "BinArchive"
    Archive         archive (new BinArchive ("dir"));
    ChannelIterator channels (archive);
    ValueIterator   values (archive);

    stdString       time, status;

    // Loop over all channels...
    for (archive.findFirstChannel (channels);  channels;  ++channels)
    {
        printf("Channel %s:\n", channels->getName());
        // Loop over all values for current channel...
        for (channels->getFirstValue (values);  values; ++values)
        {
            // Convert time & status to string, print together with value
            values->getTime(time);
            values->getStatus(status);
            printf("%s %g %s\n",
                  time.c_str(),
                  values->getDouble(),
                  status.c_str());
        }
        
    }
    return 0;
}

                  
