# Skeleton code for running 'ArchiveExport'
# and parsing the result, one line at a time,
# in a perl script

open DATA, "ArchiveExport -fill dir kasemir:setpoint kasemir:tank |"
    or die "Cannot open data source\n";

while (<DATA>)
{
    # Skip anything that doesn't start w/ time stamp
    next unless m/^[0-9].*/;
    # Parse date, time and two channels (in this case, setpoint and readback)
    ($date,$time,$setpoint,$readback) = split;
    # Decode the time stamp (Note: ignoring the date!)
    if ($time =~ m/^([0-9][0-9]):([0-9][0-9]):([0-9][0-9]\.[0-9]*)/)
    {
	$h = $1;
	$m = $2;
	$s = $3;
	$seconds=($h*60.0+$m)*60.0+$s;
    }
    else
    {
	die "Cannot decode time string\n";
    }
    print "$seconds - $time - $setpoint - $readback\n";
}

